Skip site navigation (1)Skip section navigation (2)
Date:      Mon, 19 Jan 2015 20:50:53 +0530
From:      Manish Jain <bourne.identity@hotmail.com>
To:        =?windows-1252?Q?Trond_Endrest=F8l?= <Trond.Endrestol@fagskolen.gjovik.no>
Cc:        freebsd-questions@freebsd.org
Subject:   Re: Installing Sublime Text3 on FreeBSD-10.1-i386
Message-ID:  <BLU437-SMTP67483E5139C4CE03ED2381F64A0@phx.gbl>
In-Reply-To: <BLU436-SMTP241E8B0E36F939AF55134ACF64A0@phx.gbl>
References:  <mailman.60.1421409601.72162.freebsd-questions@freebsd.org> <BLU436-SMTP220A1C5AFBDA897CC34F219F64F0@phx.gbl> <alpine.BSF.2.11.1501161358150.1375@mail.fig.ol.no> <BLU436-SMTP241E8B0E36F939AF55134ACF64A0@phx.gbl>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help

On 01/19/2015 18:58=2C Manish Jain wrote:
>
> On 01/16/2015 18:31=2C Trond Endrest=F8l wrote:
>> On Fri=2C 16 Jan 2015 18:03+0530=2C Manish Jain wrote:
>>
>>> Hi=2C
>>>
>>> Has anyone managed to fully port Sublime Text/Sublime Text3 to
>>> FreeBSD-10.1-i386 ? Running st3 on my system gets me the famous
>>> "GLIBC_2.11 not found" message.
>>
>> These two ports are not native to FreeBSD=2C but precompiled Linux
>> executables=2C AFAICT.
>>
>> On my system=2C editors/sublime{=2C3} needs:
>>
>> emulators/linux_base-c6
>> accessibility/linux-c6-atk
>> graphics/linux-c6-cairo
>> textproc/linux-c6-expat
>> x11-fonts/linux-c6-fontconfig
>> graphics/linux-c6-gdk-pixbuf2
>> x11-toolkits/linux-c6-gtk2
>> graphics/linux-c6-jpeg
>> x11-toolkits/linux-c6-pango
>> graphics/linux-c6-png
>> graphics/linux-c6-tiff
>> x11/linux-c6-xorg-libs
>>
>> Maybe you should check the condition of the "Linuxulator" ports
>> installed on your system. The above list would be a good start.
>
>
> Hi=2C
>
> I tried installing as per your advice. base-c6 asked me to remove
> base-f10 with 'pkg delete'. That done I installed all the ports in your
> list. Now running 'make install' in sublime3 gives me Error Code 1 :
>
>> linux-sublime-3.0.65 depends on file: /compat/linux/etc/fedora-release
>> - not found
>> =3D=3D=3D>    Verifying install for /compat/linux/etc/fedora-release in
>> /usr/ports/emulators/linux_base-f10
>>
>> =3D=3D=3D>  linux_base-f10-10_7 conflicts with installed package(s):
>>       linux_base-c6-6.6
>> They will not build together.
>
> Thanks for any help.
>
>
> Regards
>
> Manish Jain
> +91-98995-82709


Hi Trond=2C

Running portsnap fetch/extract/update lets the install complete=2C but=20
then sublime exits immediately :

/home/bourne/wine/oed # sublime
/home/bourne/wine/oed # type sublime
sublime is hashed (/usr/local/bin/sublime)
/home/bourne/wine/oed # sublime
/home/bourne/wine/oed # ps waux | grep subl
bourne     64416   0.0  0.1  10320   1816  2  S+    8:46PM   0:00.00=20
grep subl
/home/bourne/wine/oed #


Regards

Manish Jain
+91-98995-82709



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?BLU437-SMTP67483E5139C4CE03ED2381F64A0>